summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Sterrett <mr_bones_@gentoo.org>2004-05-02 05:20:20 +0000
committerMichael Sterrett <mr_bones_@gentoo.org>2004-05-02 05:20:20 +0000
commit1bbe1d89f158e4da35d1afbc1d175b2d3355b8fd (patch)
tree51786e2a6a1f27d478bf04d696725729ff0e27e4 /games-puzzle/mirrormagic
parentatm for iproute2 (diff)
downloadgentoo-2-1bbe1d89f158e4da35d1afbc1d175b2d3355b8fd.tar.gz
gentoo-2-1bbe1d89f158e4da35d1afbc1d175b2d3355b8fd.tar.bz2
gentoo-2-1bbe1d89f158e4da35d1afbc1d175b2d3355b8fd.zip
IUSE; tidy
Diffstat (limited to 'games-puzzle/mirrormagic')
-rw-r--r--games-puzzle/mirrormagic/mirrormagic-2.0.2.ebuild18
1 files changed, 9 insertions, 9 deletions
diff --git a/games-puzzle/mirrormagic/mirrormagic-2.0.2.ebuild b/games-puzzle/mirrormagic/mirrormagic-2.0.2.ebuild
index e5f2b7c11c9a..4d9ae802746c 100644
--- a/games-puzzle/mirrormagic/mirrormagic-2.0.2.ebuild
+++ b/games-puzzle/mirrormagic/mirrormagic-2.0.2.ebuild
@@ -1,16 +1,17 @@
# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/games-puzzle/mirrormagic/mirrormagic-2.0.2.ebuild,v 1.3 2004/03/27 09:53:56 mr_bones_ Exp $
+# $Header: /var/cvsroot/gentoo-x86/games-puzzle/mirrormagic/mirrormagic-2.0.2.ebuild,v 1.4 2004/05/02 05:20:20 mr_bones_ Exp $
inherit flag-o-matic games
DESCRIPTION="a game like Deflektor (C 64) or Mindbender (Amiga)"
-SRC_URI="http://www.artsoft.org/RELEASES/unix/mirrormagic/${P}.tar.gz"
HOMEPAGE="http://www.artsoft.org/mirrormagic/"
+SRC_URI="http://www.artsoft.org/RELEASES/unix/mirrormagic/${P}.tar.gz"
LICENSE="GPL-2"
-KEYWORDS="x86"
SLOT="0"
+KEYWORDS="x86"
+IUSE=""
DEPEND="virtual/glibc
|| (
@@ -24,12 +25,12 @@ src_compile() {
replace-flags -march=k6 -march=i586
local makeopts="X11_PATH=/usr/X11R6 RO_GAME_DIR=${GAMES_DATADIR}/${PN} RW_GAME_DIR=${GAMES_STATEDIR}/${PN}"
- if [ `use X` ] || [ -z "`use X``use sdl`" ] ; then
+ if use X || [ -z "`use X``use sdl`" ] ; then
make clean || die
make ${makeopts} OPTIONS="${CFLAGS}" x11 || die
mv mirrormagic{,.x11}
fi
- if [ `use sdl` ] ; then
+ if use sdl ; then
make clean || die
make ${makeopts} OPTIONS="${CFLAGS}" sdl || die
mv mirrormagic{,.sdl}
@@ -37,10 +38,9 @@ src_compile() {
}
src_install() {
- dogamesbin mirrormagic.{sdl,x11}
- dodir ${GAMES_DATADIR}/${PN}
- cp -R graphics levels music sounds ${D}/${GAMES_DATADIR}/${PN}/
+ dogamesbin mirrormagic.{sdl,x11} || die "dogamesbin failed"
+ dodir "${GAMES_DATADIR}/${PN}"
+ cp -R graphics levels music sounds "${D}/${GAMES_DATADIR}/${PN}/"
dodoc CHANGES CREDITS README TODO
-
prepgamesdirs
}